<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\HomeController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\PageController;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\VideoController;
use App\Http\Controllers\DemoController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::get('/demo', [DemoController::class, 'index'])->name('demo');


// 主页
Route::get('/', [HomeController::class, 'index'])->name('home');

// 产品路由
Route::prefix('products')->group(function () {
    Route::get('/', [ProductController::class, 'index'])->name('products.index');
    Route::get('/{id}', [ProductController::class, 'show'])->name('products.show');
});

// 视频路由
Route::prefix('videos')->group(function () {
    Route::get('/', [VideoController::class, 'index'])->name('videos.index');
    Route::get('/{id}', [VideoController::class, 'show'])->name('videos.show');
});

// 文章路由
Route::prefix('page')->group(function () {
    Route::get('/', [PageController::class, 'list'])->name('page.list'); // 页面列表页
    Route::get('/{slug}', [PageController::class, 'detail'])->name('page.detail'); // 页面详情页
});

// 询盘路由
Route::prefix('contact')->group(function () {
    Route::get('/', [ContactController::class, 'create'])->name('contact.create');
    Route::post('/', [ContactController::class, 'store'])->name('contact.store');
});
